Get an Event V2
curl --request GET \
--url https://api.spherepay.co/v2/events/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spherepay.co/v2/events/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spherepay.co/v2/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attempts": [
{
"attemptedAt": "2026-01-01T00:05:00.000Z",
"id": "atmpt_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
"latencyMs": 128,
"responseBody": "OK",
"responseCode": 200,
"success": true,
"type": "original"
}
],
"createdAt": "2026-01-01T00:00:00.000Z",
"deliveries": [
{
"attemptsUsed": 1,
"deliveredAt": "2026-01-01T00:05:00.000Z",
"id": "eventDelivery_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
"latestAttempt": {
"responseCode": 200,
"success": true,
"type": "original"
},
"status": "delivered",
"webhookEndpointId": "webhook_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"
}
],
"id": "event_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
"sequence": 3,
"type": "transfer.succeeded"
}{
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Invalid request parameters",
"status": 400
}{
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Resource not found",
"status": 404
}{
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Validation failed",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
],
"status": 422
}Eventos
Recuperar un Evento con su Historial Completo de Entregas
Retrieve an event by its ID.
Get an Event V2
Usa este endpoint para recuperar un evento junto con cada entrega y cada intento realizado para él. Cada intento registra si fue un
Para reenviar una entrega listada en el historial, consulta reenviar una entrega de evento fallida.
original o un replay, cuándo se ejecutó, si tuvo éxito, el código de respuesta, el cuerpo de la respuesta (truncado a 200 caracteres y capturado en los fallos) y la latencia.
El encabezado
Sphere-Delivery-Id de una entrega que recibiste es el ID de esa entrega, así que puedes usarlo para relacionar una solicitud que llegó a tus servidores con los registros de entrega e intentos que aparecen aquí.Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
Respuesta
The requested event, with its deliveries and delivery attempts.
Delivery attempts across the deliveries of this event
Show child attributes
Show child attributes
ISO 8601 timestamp when the event was created.
Ejemplo:
"2026-01-01T00:00:00.000Z"
Deliveries of this event, one per subscribed endpoint
Show child attributes
Show child attributes
The unique identifier of the event.
Ejemplo:
"event_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"
Monotonically increasing sequence number for ordering events, or null if not assigned.
Ejemplo:
3
The type of the event.
Opciones disponibles:
*, customer.*, transfer.*, document.*, service.*, customer.created, customer.pending, customer.approved, customer.rejected, transfer.created, transfer.pendingFunding, transfer.pendingReview, transfer.fundsReceived, transfer.processing, transfer.succeeded, transfer.returned, transfer.pendingRefundInformation, transfer.failed, transfer.canceled, transfer.refunded, transfer.unexpectedError, transfer.failedPrecondition, transfer.expired, transfer.unfunded, document.pending, document.processing, document.verified, document.rejected, service.pending, service.processing, service.succeeded, service.failed, service.cancelled Ejemplo:
"transfer.succeeded"
Última modificación el 27 de agosto de 2026